#
# spec file for package ivtv (Version 0.8.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ivtv
BuildRequires:  gcc-c++ kernel-source kernel-syms
URL:            http://ivtv.sourceforge.net/
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Other
Autoreqprov:    on
Version:        0.8.0
Release:        10
Summary:        Driver Implementation for iCompression or Conexant Video Capture Cards
Source0:        %{name}-%{version}.tar.bz2
Source1:        firmware.tar.bz2
Source2:        preamble
Patch0:         ivtv-optflags.patch
Patch2:         ivtv-splice.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
NoSource:       1
%suse_kernel_module_package -p %_sourcedir/preamble kdump um

%description
The primary goal of the IVTV project is to provide a "clean room" Linux
open source driver implementation for video capture cards based on the
iCompression iTVC15 or Conexant CX23415/CX23416 MPEG Codec. Examples of
such cards are the Hauppauge PVR 250/350 series of MPEG video capture
cards, the Hauppauge "freestyle", and the AVerMedia M179 AVerTV. The
freestyle has not been tested, but it should work or at least be easy
to get working.



Authors:
--------
    Hans Verkuil
    Chris Kennedy

%package firmware
Group:          Productivity/Multimedia/Other
License:        Commercial (all types)
Summary:        driver implementation for iCompression or Conexant video capture cards

%description firmware
The primary goal of the IVTV project is to provide a "clean room" Linux
Open Source driver implementation for video capture cards based on the
iCompression iTVC15 or Conexant CX23415/CX23416 MPEG Codec. Examples of
such cards are the Hauppauge PVR 250/350 series of MPEG video capture
cards, the Hauppauge "freestyle" and the AVerMedia M179 AVerTV. The
freestyle hasn't been tested, but it should work, or at least be easy
to get working.



Authors:
--------
    Hans Verkuil
    Chris Kennedy

%package KMP
Group:          System/Kernel
Summary:        ivtv driver kernel modules

%description KMP
ivtv driver kernel modules



Authors:
--------
    Hans Verkuil
    Chris Kennedy

%prep
%setup -q -c -n firmware -T -D -a 1
%setup -q -D
%patch
%patch2

%build
# build utils
make -C utils
# build kernel modules
mkdir obj
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r driver obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"
# install utils
mkdir -p "%{buildroot}/usr/bin"
make -C utils DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr install
# install firmware
mkdir -p "%{buildroot}/lib/firmware"
cp -v ../firmware/* "%{buildroot}/lib/firmware"
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done
#
rm -fv doc/install.txt.orig
# not packaged ATM
rm -f %{buildroot}/usr/include/linux/ivtv.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog doc utils/ivtvfwextract.pl
/usr/bin/*

%files firmware
%defattr(-,root,root)
/lib/firmware

%changelog
* Tue Nov 14 2006 - ro@suse.de
- move firmware to /lib/firmware
* Tue Nov 14 2006 - ro@suse.de
- update to 0.8.0 (for 2.6.18 kernel release)
  - Many API changes as part of the work to merge the driver
  into the kernel
  - Detect and workaround DMA offsets that can be introduced
  by a DMA error.
  - Sliced VBI always uses PIO, never DMA.
  - Removed test/fwapi, utils/ivtv-detect.
  - Added utils/v4l2-ctl.
* Sat Sep 23 2006 - aj@suse.de
- Fix build with glibc 2.5.
* Mon Aug 21 2006 - ro@suse.de
- update to current svn to fix build with 2.6.18
* Mon Apr 03 2006 - ro@suse.de
- change MODULE_PARM to module_param
* Fri Mar 03 2006 - ro@suse.de
- update to current CVS (0.7.0) to run on current kernel (#153549)
* Fri Feb 03 2006 - agruen@suse.de
- ivtv.spec: Replace %%arch with %%_target_cpu.
* Fri Feb 03 2006 - ro@suse.de
- skip "um" not "uml"
* Tue Jan 31 2006 - ro@suse.de
- build kernel-modules locally (KMP)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - ro@suse.de
- update to current 0.4.2 (hopefully build with current kernel)
* Mon Nov 28 2005 - ro@suse.de
- added utils/ivtvfwextract.pl to doc files list (#135611)
* Fri Nov 04 2005 - ro@suse.de
- try to fix km build by moving videodev2.h to driver subdirectory
* Thu Oct 27 2005 - ro@suse.de
- update to 0.4.0
* Sun Aug 14 2005 - ro@suse.de
- fix problem in kernel modules Makefile
* Sun Aug 14 2005 - ro@suse.de
- update to 0.3.7c
* Fri Aug 12 2005 - ro@suse.de
- update to 0.3.3k
* Tue Feb 15 2005 - agruen@suse.de
- Don't install the user-space header in the kernel rpm.
* Tue Feb 15 2005 - agruen@suse.de
- Fix km_ package makefile.
* Wed Feb 02 2005 - ro@suse.de
- update to 0.3.2c
* Thu Jan 20 2005 - ro@suse.de
- drop the request_module parts from mod_rename patch
* Wed Jan 19 2005 - ro@suse.de
- keep only Makefile2.6 as Makefile in km_ivtv
* Thu Jan 13 2005 - ro@suse.de
- rename modules msp3400, tuner, tveeprom to ivtv-xxx
  to avoid clash
* Thu Jan 13 2005 - ro@suse.de
- created package (based on work by kraxel)
